Przejdź do głównej zawartości

Ta przeglądarka nie jest już obsługiwana.

Przejdź na przeglądarkę Microsoft Edge, aby korzystać z najnowszych funkcji, aktualizacji zabezpieczeń i pomocy technicznej.

Pobieranie przeglądarki Microsoft Edge Więcej informacji o przeglądarkach Internet Explorer i Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Schedules

Get a schedule

GET /schedules/{id}

Retrieves the specified schedule resource.

Parametry zapytań

api-version string wymagane

The API version to use for this operation.

Parametry ścieżki

id string wymagane

Identifier of the schedule.

Parametry nagłówka

Foundry-Features enum wymagane

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

Schedules=V1Preview

Odpowiedzi

The request has succeeded.

Treść

Content-Type: application/json
id string wymagane

Identifier of the schedule.

displayName string

Name of the schedule.

description string

Description of the schedule.

enabled boolean wymagane

Enabled status of the schedule.

provisioningStatus string | enum

Schedule provisioning status.

Którekolwiek z poniższych:
string
enum
CreatingUpdatingDeletingSucceededFailed
trigger Cron | Recurrence | OneTime wymagane

Base model for Trigger of the schedule.

Jedna z następujących:
Cron CronTrigger

Cron based trigger.

type enum wymagane
Cron
expression string wymagane

Cron expression that defines the schedule frequency.

timeZone string

Time zone for the cron schedule. Defaults to UTC.

startTime string

Start time for the cron schedule in ISO 8601 format.

endTime string

End time for the cron schedule in ISO 8601 format.

Recurrence RecurrenceTrigger

Recurrence based trigger.

type enum wymagane

Type of the trigger.

Recurrence
startTime string

Start time for the recurrence schedule in ISO 8601 format.

endTime string

End time for the recurrence schedule in ISO 8601 format.

timeZone string

Time zone for the recurrence schedule. Defaults to UTC.

interval integer wymagane

Interval for the recurrence schedule.

schedule Hourly | Daily | Weekly | Monthly wymagane

Recurrence schedule model.

Jedna z następujących:
Hourly HourlyRecurrenceSchedule

Hourly recurrence schedule.

type enum wymagane
Hourly
Daily DailyRecurrenceSchedule

Daily recurrence schedule.

type enum wymagane

Daily recurrence type.

Daily
hours integer[] wymagane

Hours for the recurrence schedule.

Weekly WeeklyRecurrenceSchedule

Weekly recurrence schedule.

type enum wymagane

Weekly recurrence type.

Weekly
daysOfWeek DayOfWeek[] wymagane

Days of the week for the recurrence schedule.

Monthly MonthlyRecurrenceSchedule

Monthly recurrence schedule.

type enum wymagane

Monthly recurrence type.

Monthly
daysOfMonth integer[] wymagane

Days of the month for the recurrence schedule.

OneTime OneTimeTrigger

One-time trigger.

type enum wymagane
OneTime
triggerAt string wymagane

Date and time for the one-time trigger in ISO 8601 format.

timeZone string

Time zone for the one-time trigger. Defaults to UTC.

task Evaluation | Insight wymagane

Schedule task model.

Jedna z następujących:
Evaluation EvaluationScheduleTask

Evaluation task for the schedule.

type enum wymagane
Evaluation
evalId string wymagane

Identifier of the evaluation group.

evalRun object wymagane

The evaluation run payload.

Insight InsightScheduleTask

Insight task for the schedule.

type enum wymagane
Insight
insight Insight wymagane

The response body for cluster insights.

id string wymagane

The unique identifier for the insights report.

metadata InsightsMetadata wymagane

Metadata about the insights.

createdAt string wymagane

The timestamp when the insights were created.

completedAt string

The timestamp when the insights were completed.

state enum | string wymagane

Enum describing allowed operation states.

Którekolwiek z poniższych:
enum
NotStartedRunningSucceededFailedCanceled
string
displayName string wymagane

User friendly display name for the insight.

request EvaluationRunClusterInsight | AgentClusterInsight | EvaluationComparison wymagane

The request of the insights report.

Jedna z następujących:
EvaluationRunClusterInsight EvaluationRunClusterInsightRequest

Insights on set of Evaluation Results

type enum wymagane

The type of insights request.

EvaluationRunClusterInsight
evalId string wymagane

Evaluation Id for the insights.

runIds string[] wymagane

List of evaluation run IDs for the insights.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string wymagane

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

AgentClusterInsight AgentClusterInsightRequest

Insights on set of Agent Evaluation Results

type enum wymagane

The type of request.

AgentClusterInsight
agentName string wymagane

Identifier for the agent.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string wymagane

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

EvaluationComparison EvaluationComparisonInsightRequest

Evaluation Comparison Request

type enum wymagane

The type of request.

EvaluationComparison
evalId string wymagane

Identifier for the evaluation.

baselineRunId string wymagane

The baseline run ID for comparison.

treatmentRunIds string[] wymagane

List of treatment run IDs for comparison.

result EvaluationComparison | EvaluationRunClusterInsight | AgentClusterInsight

The result of the insights.

Jedna z następujących:
EvaluationComparison EvaluationComparisonInsightResult

Insights from the evaluation comparison.

type enum wymagane

The type of insights result.

EvaluationComparison
comparisons EvalRunResultComparison[] wymagane

Comparison results for each treatment run against the baseline.

method string wymagane

The statistical method used for comparison.

EvaluationRunClusterInsight EvaluationRunClusterInsightResult

Insights from the evaluation run cluster analysis.

type enum wymagane

The type of insights result.

EvaluationRunClusterInsight
clusterInsight ClusterInsightResult wymagane

Insights from the cluster analysis.

summary InsightSummary wymagane

Summary of the error cluster analysis.

sampleCount integer wymagane

Total number of samples analyzed.

uniqueSubclusterCount integer wymagane

Total number of unique subcluster labels.

uniqueClusterCount integer wymagane

Total number of unique clusters.

method string wymagane

Method used for clustering.

usage ClusterTokenUsage wymagane

Token usage for cluster analysis

inputTokenUsage integer wymagane

input token usage

outputTokenUsage integer wymagane

output token usage

totalTokenUsage integer wymagane

total token usage

clusters InsightCluster[] wymagane

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer wymagane

X-axis coordinate.

y integer wymagane

Y-axis coordinate.

size integer wymagane

Size of the chart element.

AgentClusterInsight AgentClusterInsightResult

Insights from the agent cluster analysis.

type enum wymagane

The type of insights result.

AgentClusterInsight
clusterInsight ClusterInsightResult wymagane

Insights from the cluster analysis.

summary InsightSummary wymagane

Summary of the error cluster analysis.

sampleCount integer wymagane

Total number of samples analyzed.

uniqueSubclusterCount integer wymagane

Total number of unique subcluster labels.

uniqueClusterCount integer wymagane

Total number of unique clusters.

method string wymagane

Method used for clustering.

usage ClusterTokenUsage wymagane

Token usage for cluster analysis

inputTokenUsage integer wymagane

input token usage

outputTokenUsage integer wymagane

output token usage

totalTokenUsage integer wymagane

total token usage

clusters InsightCluster[] wymagane

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer wymagane

X-axis coordinate.

y integer wymagane

Y-axis coordinate.

size integer wymagane

Size of the chart element.

tags object

Schedule's tags. Unlike properties, tags are fully mutable.

[key: string] string
properties object

Schedule's properties. Unlike tags, properties are add-only. Once added, a property cannot be removed.

[key: string] string
systemData object wymagane

System metadata for the resource.

[key: string] string

Client error

Nagłówki

x-ms-error-code string

String error code indicating what went wrong.

Treść

Content-Type: application/json
error Azure.Core.Foundations.Error wymagane

The error object.

code string wymagane

One of a server-defined set of error codes.

message string wymagane

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

Server error

Nagłówki

x-ms-error-code string

String error code indicating what went wrong.

Treść

Content-Type: application/json
error Azure.Core.Foundations.Error wymagane

The error object.

code string wymagane

One of a server-defined set of error codes.

message string wymagane

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

Żądanie

GET /schedules/{id} HTTP/1.1

Response

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
pl-pl
Wybrane przez Ciebie opcje dotyczące prywatności
  • Zastrzeżenie dotyczące sztucznej inteligencji
  • Poprzednie wersje
  • Blog
  • Współtworzenie
  • Prywatność
  • Prywatność kondycji konsumenta
  • Warunki użytkowania
  • Znaki towarowe
  • © Microsoft 2026